/*!
UI v0.0.1
MIT License
Copyright (c) 2019 Luummii <mail@luummii.com>
*/

.ui-button {
  display: inline-block;
  background-color: $gray-300;
  color: $gray-700;
  border: $base-border;
  font-family: inherit;
  text-transform: uppercase;
  text-decoration: none;
  font-size: $base-font-size;  
  line-height: normal;
  padding: $base-size / 2 $base-size;
  border-radius: $base-border-radius;
  vertical-align: middle;
  text-align: center;
  cursor: pointer;

  &:hover, &:focus {
    background-color: $gray-400;
    border: none;
    color: $gray-700;
  }

  &:focus {
    outline: 0;
  }

  &:not(.disabled).active {
    background-color: $gray-400;
    border: none;
    color: $gray-700;
  }

  &.disabled {
    border: none;
    opacity: 0.50;
    cursor: not-allowed;
    box-shadow: none;
    pointer-events: none;
  }

  &.sm {
    font-size: $base-sm-button-size;
  }

  &.lg {
    font-size: $base-lg-button-size;
  }
}

